Opened 11 years ago

Closed 11 years ago

Last modified 11 years ago

#4055 closed Bug (fixed)

Memory leak when removing a transfer + data file

Reported by: x190 Owned by: livings124
Priority: Normal Milestone: 2.30
Component: Mac Client Version: 2.20
Severity: Minor Keywords: memory leak
Cc:

Description

2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x115eb19f0 of class NSCFString autoreleased with no pool in place - just leaking
2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x115eaf2e0 of class NSPathStore2 autoreleased with no pool in place - just leaking
2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x101926f30 of class NSPathStore2 autoreleased with no pool in place - just leaking
2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x115eaf260 of class NSCFArray autoreleased with no pool in place - just leaking
2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x1005c3160 of class NSCFString autoreleased with no pool in place - just leaking
2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x1149f39c0 of class NSPathStore2 autoreleased with no pool in place - just leaking
2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x1005c0b50 of class NSPathStore2 autoreleased with no pool in place - just leaking
2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x1005c2ea0 of class NSCFArray autoreleased with no pool in place - just leaking
2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x115e97e10 of class NSCFString autoreleased with no pool in place - just leaking
2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x1005bf2b0 of class NSPathStore2 autoreleased with no pool in place - just leaking
2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x1005c1710 of class NSPathStore2 autoreleased with no pool in place - just leaking
2/23/11 1:22:09 AM	Transmission[185]	*** __NSAutoreleaseNoPool(): Object 0x1005c5bc0 of class NSCFArray autoreleased with no pool in place - just leaking

https://forum.transmissionbt.com/viewtopic.php?f=4&t=11203&p=52118&hilit=autorelease#p52116

Change History (12)

comment:1 follow-up: Changed 11 years ago by livings124

What were you doing when these appeared?

comment:2 Changed 11 years ago by livings124

  • Component changed from Transmission to Mac Client
  • Owner set to livings124

comment:3 in reply to: ↑ 1 Changed 11 years ago by x190

Replying to livings124:

What were you doing when these appeared?

I don't know but I wish I knew what Transmission was doing at the time. Is there a reasonably easy way to edit code to have all Message Log entries re-directed to a file?

comment:4 follow-up: Changed 11 years ago by livings124

These messages do not appear in the Message Log; they appear in Console.app.

comment:5 in reply to: ↑ 4 Changed 11 years ago by x190

Replying to livings124:

These messages do not appear in the Message Log; they appear in Console.app.

Very true. Unfortunately the Message Log is lost when the session ends and thus unless the console error is noticed during the current session, it is impossible to correlate the two logs. That is why it would be helpful if the Message Log could be written to disk for debugging purposes.

According to the forum post user interaction is not required for this error to be thrown.

Version 0, edited 11 years ago by x190 (next)

comment:6 Changed 11 years ago by livings124

This error does not cause a crash. What was happening, in general, when it happened?

comment:8 Changed 11 years ago by x190

This leak occurs when you hit 'Remove Data File' using CM for an active torrent. [Thread ends--no pool in place.]

2011-03-24 03:06:02 -0600 torrent.c:1825 [Info] e: Removing torrent
2011-03-24 03:06:02 -0600 torrent.c:1736 [Info] e: Pausing
3/24/11 3:06:02 AM	Transmission[808]	*** __NSAutoreleaseNoPool(): Object 0x114db6440 of class NSCFString autoreleased with no pool in place - just leaking
3/24/11 3:06:02 AM	Transmission[808]	*** __NSAutoreleaseNoPool(): Object 0x114d9c7c0 of class NSPathStore2 autoreleased with no pool in place - just leaking
3/24/11 3:06:02 AM	Transmission[808]	*** __NSAutoreleaseNoPool(): Object 0x114dc8cf0 of class NSPathStore2 autoreleased with no pool in place - just leaking
3/24/11 3:06:02 AM	Transmission[808]	*** __NSAutoreleaseNoPool(): Object 0x114db64f0 of class NSCFArray autoreleased with no pool in place - just leaking
3/24/11 3:06:02 AM	Transmission[808]	*** __NSAutoreleaseNoPool(): Object 0x1019c8bb0 of class NSCFString autoreleased with no pool in place - just leaking
3/24/11 3:06:02 AM	Transmission[808]	*** __NSAutoreleaseNoPool(): Object 0x116d30080 of class NSPathStore2 autoreleased with no pool in place - just leaking
3/24/11 3:06:02 AM	Transmission[808]	*** __NSAutoreleaseNoPool(): Object 0x116d1bdd0 of class NSPathStore2 autoreleased with no pool in place - just leaking
3/24/11 3:06:02 AM	Transmission[808]	*** __NSAutoreleaseNoPool(): Object 0x116d0c350 of class NSCFArray autoreleased with no pool in place - just leaking

comment:9 follow-up: Changed 11 years ago by livings124

  • Status changed from new to assigned

Thanks for figuring out what causes this. I can replicate consistently.

comment:10 Changed 11 years ago by livings124

  • Milestone changed from None Set to 2.30
  • Resolution set to fixed
  • Status changed from assigned to closed
  • Summary changed from Memory leak in Mac Client to Memory leak when removing a transfer + data file

comment:11 Changed 11 years ago by livings124

  • Severity changed from Normal to Minor

comment:12 in reply to: ↑ 9 Changed 11 years ago by x190

Replying to livings124:

Thanks for figuring out what causes this. I can replicate consistently.

You're welcome! :) The fix also 'worksforme'.

Last edited 11 years ago by x190 (previous) (diff)
Note: See TracTickets for help on using tickets.